Subject: Re: 5121 cache handling.

From: Scott Wood <[email-masked]>
Date: Mon, 10 Aug 2009 15:26:16 -0500

Kenneth Johansson wrote:
> But the code allocate the 52KB buffer with vmalloc that cant be right as
> cache is stored with physical address the 52KB data need to be 52KB
> continuous in physical address and vmalloc do not guarantee that.

Yeah, that looks like a bug.

>>> should not the framebuffer be marked as cache write through. that is the
>>> W bit should be set in the tlb mapping. Why is this not done ? is that
>>> feature also not working on 5121 ??
>> It probably would have been too slow.
> 
> how much slower would write through be ? I thought it was not that big
> of a difference from copy back.

It's a big difference if you're writing out an entire cache line of data 
anyway, but because of write-through it goes out one word at a time 
without bursting.

-Scott